<bugID>902105<Summary>loadURI should rethrow inside its catch clause</Summary><Description>Created attachment 786436
loaduri-fix

Probably a small thing, but I'd like to fix it.</Description></bugID>